package intrinsic.mx.messaging;

public class ChannelSet extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public Object channelFailoverURIs;
	public boolean connected;
	public boolean clustered;
	public boolean configured;
	public intrinsic.Array messageAgents;
	public intrinsic.Array channels;
	public intrinsic.mx.messaging.Channel currentChannel;
	public boolean authenticated;
	public intrinsic.Array channelIds;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ChannelSet() {
}

public ChannelSet(Object arg0) {
}

public ChannelSet(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void removeChannel(intrinsic.mx.messaging.Channel arg0);
public native void logout(intrinsic.mx.messaging.MessageAgent arg0);
public native void channelConnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native String toString();
public native void setCredentials(String arg0, intrinsic.mx.messaging.MessageAgent arg1);
public native void connect(intrinsic.mx.messaging.MessageAgent arg0);
public native void disconnect(intrinsic.mx.messaging.MessageAgent arg0);
public native void setAuthenticated(boolean arg0, String arg1);
public native void addChannel(intrinsic.mx.messaging.Channel arg0);
public native void channelFaultHandler(intrinsic.mx.messaging.events.ChannelFaultEvent arg0);
public native void channelDisconnectHandler(intrinsic.mx.messaging.events.ChannelEvent arg0);
public native void send(intrinsic.mx.messaging.MessageAgent arg0, intrinsic.mx.messaging.messages.IMessage arg1);

}
